import { ExampleNativeTokenTransfers as RawExampleNativeTokenTransfers } from './example_native_token_transfers.js';
import { NttQuoter as RawNttQuoter } from './ntt_quoter.js';
import { WormholeGovernance as RawWormholeGovernance } from './wormhole_governance.js';
type OmitGenerics<T> = {
    [P in keyof T]: T[P] extends Record<'generics', any> ? never : T[P] extends object ? OmitGenerics<T[P]> : T[P];
};
type NativeTokenTransfer = OmitGenerics<RawExampleNativeTokenTransfers>;
type NttQuoter = OmitGenerics<RawNttQuoter>;
type WormholeGovernance = OmitGenerics<RawWormholeGovernance>;
export declare const idl: {
    ntt: {
        version: string;
        name: string;
        instructions: ({
            name: string;
            accounts: ({
                name: string;
                isMut: boolean;
                isSigner: boolean;
                docs?: undefined;
            } | {
                name: string;
                isMut: boolean;
                isSigner: boolean;
                docs: string[];
            })[];
            args: {
                name: string;
                type: {
                    defined: string;
                };
            }[];
        } | {
            name: string;
            accounts: ({
                name: string;
                accounts: ({
                    name: string;
                    isMut: boolean;
                    isSigner: boolean;
                    accounts?: undefined;
                    docs?: undefined;
                } | {
                    name: string;
                    accounts: {
                        name: string;
                        isMut: boolean;
                        isSigner: boolean;
                    }[];
                    isMut?: undefined;
                    isSigner?: undefined;
                    docs?: undefined;
                } | {
                    name: string;
                    isMut: boolean;
                    isSigner: boolean;
                    docs: string[];
                    accounts?: undefined;
                })[];
                isMut?: undefined;
                isSigner?: undefined;
            } | {
                name: string;
                isMut: boolean;
                isSigner: boolean;
                accounts?: undefined;
            })[];
            args: {
                name: string;
                type: {
                    defined: string;
                };
            }[];
        } | {
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: {
                name: string;
                type: string;
            }[];
        })[];
        accounts: ({
            name: string;
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: string;
                    docs?: undefined;
                } | {
                    name: string;
                    docs: string[];
                    type: string;
                } | {
                    name: string;
                    docs: string[];
                    type: {
                        option: string;
                        defined?: undefined;
                    };
                } | {
                    name: string;
                    docs: string[];
                    type: {
                        defined: string;
                        option?: undefined;
                    };
                })[];
            };
            docs?: undefined;
        } | {
            name: string;
            docs: string[];
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: string;
                } | {
                    name: string;
                    type: {
                        array: (string | number)[];
                    };
                })[];
            };
        } | {
            name: string;
            docs: string[];
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: string;
                } | {
                    name: string;
                    type: {
                        defined: string;
                    };
                })[];
            };
        } | {
            name: string;
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: {
                        defined: string;
                        array?: undefined;
                    };
                } | {
                    name: string;
                    type: string;
                } | {
                    name: string;
                    type: {
                        array: (string | number)[];
                        defined?: undefined;
                    };
                })[];
            };
            docs?: undefined;
        })[];
        types: ({
            name: string;
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: {
                        defined: string;
                        array?: undefined;
                    };
                    docs?: undefined;
                } | {
                    name: string;
                    type: {
                        array: (string | number)[];
                        defined?: undefined;
                    };
                    docs?: undefined;
                } | {
                    name: string;
                    type: string;
                    docs?: undefined;
                } | {
                    name: string;
                    docs: string[];
                    type: string;
                })[];
                variants?: undefined;
            };
            docs?: undefined;
        } | {
            name: string;
            docs: string[];
            type: {
                kind: string;
                variants: ({
                    name: string;
                    fields?: undefined;
                } | {
                    name: string;
                    fields: string[];
                })[];
                fields?: undefined;
            };
        } | {
            name: string;
            type: {
                kind: string;
                variants: {
                    name: string;
                }[];
                fields?: undefined;
            };
            docs?: undefined;
        })[];
        errors: {
            code: number;
            name: string;
            msg: string;
        }[];
    };
    quoter: {
        version: string;
        name: string;
        instructions: ({
            name: string;
            accounts: ({
                name: string;
                isMut: boolean;
                isSigner: boolean;
                docs?: undefined;
            } | {
                name: string;
                isMut: boolean;
                isSigner: boolean;
                docs: string[];
            })[];
            args: {
                name: string;
                type: {
                    defined: string;
                };
            }[];
        } | {
            name: string;
            accounts: ({
                name: string;
                isMut: boolean;
                isSigner: boolean;
                isOptional?: undefined;
            } | {
                name: string;
                isMut: boolean;
                isSigner: boolean;
                isOptional: boolean;
            })[];
            args: never[];
        })[];
        accounts: {
            name: string;
            type: {
                kind: string;
                fields: {
                    name: string;
                    type: string;
                }[];
            };
        }[];
        types: {
            name: string;
            type: {
                kind: string;
                fields: {
                    name: string;
                    type: string;
                }[];
            };
        }[];
        errors: {
            code: number;
            name: string;
            msg: string;
        }[];
    };
    governance: {
        version: string;
        name: string;
        instructions: {
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: never[];
        }[];
        accounts: {
            name: string;
            type: {
                kind: string;
                fields: {
                    name: string;
                    type: string;
                }[];
            };
        }[];
        errors: {
            code: number;
            name: string;
            msg: string;
        }[];
    };
};
export type { NativeTokenTransfer, NttQuoter, WormholeGovernance };
//# sourceMappingURL=index.d.ts.map