import { PublicKey, PublicKeyInitData } from "@solana/web3.js";
import { Chain, ChainAddress } from "@wormhole-foundation/sdk-connect";
import { Ntt } from "@wormhole-foundation/sdk-definitions-ntt";
import BN from "bn.js";
export declare const BPF_LOADER_UPGRADEABLE_PROGRAM_ID: PublicKey;
export declare function programDataAddress(programId: PublicKeyInitData): PublicKey;
export declare const pubKeyConversion: {
    readonly to: (encoded: Uint8Array) => PublicKey;
    readonly from: (decoded: PublicKey) => Uint8Array;
};
export declare const programDataLayout: readonly [{
    readonly name: "slot";
    readonly binary: "uint";
    readonly endianness: "little";
    readonly size: 8;
}, {
    readonly name: "upgradeAuthority";
    readonly binary: "switch";
    readonly idSize: 1;
    readonly idTag: "isSome";
    readonly layouts: readonly [readonly [readonly [0, false], readonly []], readonly [readonly [1, true], readonly [{
        readonly name: "value";
        readonly binary: "bytes";
        readonly size: 32;
        readonly custom: {
            readonly to: (encoded: Uint8Array) => PublicKey;
            readonly from: (decoded: PublicKey) => Uint8Array;
        };
    }]]];
}];
export declare const U64: {
    MAX: BN;
    to: (amount: number, unit: number) => BN;
    from: (amount: BN, unit: number) => number;
};
export interface TransferArgs {
    amount: bigint;
    recipient: ChainAddress;
    shouldQueue: boolean;
}
type Seed = Uint8Array | string;
export declare function derivePda(seeds: Seed | readonly Seed[], programId: PublicKeyInitData): PublicKey;
export declare const nttAddresses: (programId: PublicKeyInitData) => {
    configAccount: () => PublicKey;
    outboxRateLimitAccount: () => PublicKey;
    inboxRateLimitAccount: (chain: Chain) => PublicKey;
    inboxItemAccount: (chain: Chain, nttMessage: Ntt.Message) => PublicKey;
    sessionAuthority: (sender: PublicKey, args: TransferArgs) => PublicKey;
    tokenAuthority: () => PublicKey;
    emitterAccount: () => PublicKey;
    wormholeMessageAccount: (outboxItem: PublicKey) => PublicKey;
    peerAccount: (chain: Chain) => PublicKey;
    transceiverPeerAccount: (chain: Chain) => PublicKey;
    transceiverMessageAccount: (chain: Chain, id: Uint8Array) => PublicKey;
    registeredTransceiver: (transceiver: PublicKey) => PublicKey;
};
export {};
//# sourceMappingURL=utils.d.ts.map